﻿Public Class Form1
    ' Objects to draw.
    Private Drawables As List(Of IDrawable) = New List(Of IDrawable)()

    ' Make some objects.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Drawables.Add(New DrawableCircle(175, 95,
            Brushes.LightBlue, New Pen(Color.Blue, 10), 75))
        Drawables.Add(New DrawableRectangle(10, 50,
            Brushes.LightGreen, New Pen(Color.Green, 3), 150, 50))
        Drawables.Add(New DrawableCircle(70, 45,
            Brushes.Pink, New Pen(Color.Red, 5), 35))
        Drawables.Add(New DrawableStar(75, 100,
            Brushes.Yellow, New Pen(Color.Orange, 5), 150, 100, 7))
    End Sub

    ' Draw the objects.
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        For Each drawable As IDrawable In Drawables
            drawable.Draw(e.Graphics)
        Next drawable
    End Sub
End Class
